Jump to content
Lauriel

Issues with Imoen

Recommended Posts

I'm using EET which I know isn't officially supported, but I loved this mod so much when I used BGEE, I can't do without it.  Well, I don't want to have to do without it, let's say that.

Most everything seems to work except for Imoen, at least that I've noticed so far.  There was no dialogue when you loot the ambush site, no 'diamond in the tree' dialogue, and no dream dialogues.  I'm not very far through my first run of EET, so I'm not sure what else is missing.

Also, some of the dialogues occured twice.  I noticed this with Viconia especially. This is probably my fault since I think I installed the mod both in SoD folder as well as the EET one.  Would this explain why Imoen isn't working?  Should I start fresh and reinstall?  It takes pretty much an entire day so I'm hoping the answer is 'no', but I'm afraid it's going to be '(duh!) yes, try that'...

Oh, and I had to have them rest in the wild to get the first dream to trigger.  I had quite a bit done but I didn't want to go into chapter 3 before chapter 2's dream kicked in.  I had the crew rest at inns I think the whole time.  So it seems to require at least one outdoor rest session before it'll kick in.  Just something I noticed...

Edited by Lauriel
forgot about dream 1 issue

Share this post


Link to post

You can install BG1NPC to the BG:EE(SoD) game before you do the EET installation. It will be transferred with the game and should work then.

If installed directly onto EET, some ressources won't be patched appropriately: BGII ressources Instead of BG1 ones, etc. Imoen for example has a different scriptname (death variable) in EET than BG:EE, that could explain why she isn't talking in your game.

Share this post


Link to post
6 minutes ago, Lauriel said:

Also, some of the dialogues occured twice.  I noticed this with Viconia especially. This is probably my fault since I think I installed the mod both in SoD folder as well as the EET one.  Would this explain why Imoen isn't working?  Should I start fresh and reinstall?  It takes pretty much an entire day so I'm hoping the answer is 'no', but I'm afraid it's going to be '(duh!) yes, try that'...

Well, you could try just uninstalling the NPC project from EET/BG2, load an earlier save and see if the bugs persist. At any rate it's very likely your install procedure is causing glitches, so yes, and be careful with following the EET compatibility list. I've played through BG with the NPC project many times as part of EET and as far as the mod components go, it's been bug free -- so it's not the mod itself, and it's not EET.

Share this post


Link to post

That's what I was afraid of.  I had my install list all written up, and purposely installed the mod on SoD for that reason.  I have no idea why I double installed it.  Oh well.  I think I'll just go the '(duh!) yes, try that' routine.  Safer.  Thank you for the feedback. :)

Share this post


Link to post

Would it be a good idea to restrict the install of BG1NPC to not-EET? If people want to install it directly, they'd need to make changes to the tp2, anyhow.

(Here's still hope @AstroBryGuy comes back with his BG1NPC for EET in the works.)

Share this post


Link to post
11 hours ago, jastey said:

Would it be a good idea to restrict the install of BG1NPC to not-EET? If people want to install it directly, they'd need to make changes to the tp2, anyhow.

(Here's still hope @AstroBryGuy comes back with his BG1NPC for EET in the works.)

Some of it works.  Some is better than not being allowed to install at all.  But I agree, if @AstroBryGuy would take pity on us and make it so we can install it to EET directly, that would be the best.

Share this post


Link to post

As I was going through my downloads, I discovered why I double installed BG1NPC.  I had found a 'fix' (bg1npc_BGT_TUTU_BGEE_EET.rar).  I have no idea where I found it or I'd go to them and tell them of the issues I've discovered.  Just an FYI!

Thank you again @Shin and @jastey for the feedback. :)

Edited by Lauriel

Share this post


Link to post

Hmm, not sure about the contemporaneity or relevance of a fix in this case. The NPC Project is as far as I can tell fully compatible with EET as long as you install it before the EET import.

Share this post


Link to post
5 hours ago, Shin said:

Hmm, not sure about the contemporaneity or relevance of a fix in this case. The NPC Project is as far as I can tell fully compatible with EET as long as you install it before the EET import.

Yeah.. but there are players who install things to their, to be played games, not: "Ouh, I'll research this topic the next 5 hour and then make an uneducated guess on if it will all work out." I have been doing that at least since 2007, and I am still not finished. It's 1/3 of my life, man.

Edited by Jarno Mikkola

Share this post


Link to post
9 hours ago, Jarno Mikkola said:

Yeah.. but there are players who install things to their, to be played games, not: "Ouh, I'll research this topic the next 5 hour and then make an uneducated guess on if it will all work out." I have been doing that at least since 2007, and I am still not finished. It's 1/3 of my life, man.

Well, sorting out compatibilities and install orders and deciding whether or not fixes are needed or up to date is something that you sooner or later have to get into if you want to have an EET game with multiple mods.

Share this post


Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...